Bug 1415073 - API ping don't return information for foreman_auth service (Satellite 6.2)
Summary: API ping don't return information for foreman_auth service (Satellite 6.2)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: API
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On: 1325995
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-20 07:32 UTC by Lukas Zapletal
Modified: 2020-09-10 10:08 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1325995
Environment:
Last Closed: 2018-02-21 16:40:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 15582 0 None None None 2017-01-20 07:32:40 UTC

Description Lukas Zapletal 2017-01-20 07:32:41 UTC
+++ This bug was initially created as a clone of Bug #1325995 +++

When request a ping using API the foreman_auth service information is not returned.

BACKPORT REQUEST

One line, low effort, low risk, customer facing.

Comment 2 pm-sat@redhat.com 2017-01-20 09:09:13 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/15582 has been resolved.

Comment 4 Oleksandr Shtaier 2017-07-04 07:28:09 UTC
Verified on latest 6.3. Fix is present and functionality works as intended. Used test automation scripts for validation.

{"status":"ok","services":{"pulp":{"status":"ok","duration_ms":"57"},"pulp_auth":{"status":"ok","duration_ms":"26"},"candlepin":{"status":"ok","duration_ms":"42"},"candlepin_auth":{"status":"ok","duration_ms":"33"},"foreman_tasks":{"status":"ok","duration_ms":"29"}}}

Mentioned service information was completely removed from ping and now we should get only expected data from command

Current BZ after re-assignment to 6.3 seems as complete duplicate to 1325995, but leaving it as it is as maybe someone like to put version back

Comment 5 Oleksandr Shtaier 2017-07-04 07:30:04 UTC
anyway, test coverage present for 6.2 too

Comment 6 Lukas Zapletal 2017-08-02 10:37:44 UTC
Since this BZ was not approved into 6.2, this makes it a dupe of https://bugzilla.redhat.com/show_bug.cgi?id=1325995

Comment 8 Bryan Kearney 2018-02-21 16:39:11 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Comment 9 Bryan Kearney 2018-02-21 16:40:48 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Comment 10 pm-sat@redhat.com 2018-02-21 16:54:17 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.